Title 'clinical_305b.sas  2006-1-26  Y.Takahashi ' ;

/*data clinical ;
    input id hosp drug sex age age3 severity c_drug y123 y122 y112 ;
	if y122=1 then y122r = 'Placebo' ;
	if y122=2 then y122r = 'Active ' ;
 	if y112=1 then y112r = 'Placebo' ;
	if y112=2 then y112r = 'Active ' ;
 
Ǘԍ {   N NR敪 dǓx p 123 122 112
datalines ;
1  1  2  1  63  2  1  1  1  1  1
2  1  2  1  63  2  1  1  3  2  2
3  1  2  1  57  2  1  2  1  1  1

304  4  1  2  45  2  3  2  3  2  2
305  4  1  2  47  2  3  2  3  2  2 */

;
proc print data=clinical ;
run ;

title2 '<<< ϗʂ̓ >>>' ;
proc tabulate data=clinical noseps format=10. ;
    class  drug hosp sex age3 severity c_drug  y123 ;
	table  all hosp sex age3 severity c_drug, y123  all  / rts=15 ;
	run ;

title2 '<<< ݐσWbgɂ鋤ϗʂ̓ >>>' ;
proc logistic data=clinical  ;
    class  age3  / param=reference ref=first ;
	model  y123 = age3 severity / expb tech=newton   ;
	run ;

title2 '<<< Ö@݂̂̏ꍇ >>>' ;
proc logistic data=clinical  ;
    class  drug  / param=reference ref=first ;
	model  y123 = drug / expb tech=newton   ;
	run ;


title2 '<<< ÌQƊeϗʂƂ̗ݐϔɂẲ >>>' ;
proc transpose data=clinical  out=clinical_T ;
    var  hosp sex age3 severity c_drug ;
    by   id  drug y123 y122r y112r ;
	run ;

data clinical_T ;
    set clinical_T ;
	var_name = _NAME_ ;
    value    =  COL1 ;
	if var_name = 'hosp'      then var_name = '1:hosp    ' ; 
	if var_name = 'sex'       then var_name = '2:sex     ' ; 
	if var_name = 'age3'      then var_name = '3:age3    ' ; 
	if var_name = 'severity'  then var_name = '4:severity' ; 
	if var_name = 'c_drug'    then var_name = '5:c_drug  ' ; 
	drop _NAME_ COL1 ;
    run ; 

proc sort data=clinical_T ; 
    by var_name id ;
	run ;

proc print data=clinical_T ;
run ;

proc logistic data=clinical_T  ;
    class  drug value / param=reference ref=first ;
	model  y123 = drug value drug*value/ expb tech=newton   ;
	by  var_name ;
	run ;

proc logistic data=clinical_T  ;
    class  drug value / param=reference ref=first ;
	model  y123 = drug value / expb tech=newton   ;
	by  var_name ;
	run ;


title2 '<<< ÌQʂ++ƃIbY >>>' ;
proc tabulate data=clinical noseps format=10. ;
    class  drug hosp sex age3 severity c_drug  y123 y122 y112 ;
	table  all hosp sex age3 severity c_drug, drug*(y122 all)  / rts=15 ;
	run ;

proc freq data=clinical_T ;
    table  var_name*value*drug*y122r / nopercent nocol norow relrisk ;
	run ;

title2 '<<< ÌQʂ+ȏ㔽ƃIbY >>>' ;
proc tabulate data=clinical noseps format=10. ;
    class  drug hosp sex age3 severity c_drug  y123 y122 y112 ;
	table  all hosp sex age3 severity c_drug, drug*(y112 all)  / rts=15 ;
	run ;
proc freq data=clinical_T ;
    table  var_name*value*drug*y112r / nopercent nocol norow relrisk ;
	run ;

title2 '<<< Ö@Ǝ{݂̎ʃfƂ >>>' ;
proc logistic data=clinical  ;
    class  drug hosp / param=reference ref=first ;
	model  y123 = drug hosp / expb tech=newton   ;
	run ;

title2 '<<< {݂ƎÖ@̌ݍp >>>' ;
proc logistic data=clinical  ;
    class  drug hosp / param=reference ref=first ;
	model  y122 = drug hosp drug*hosp/ expb tech=newton   ;
	run ;

proc logistic data=clinical  ;
    class  drug hosp / param=reference ref=first ;
	model  y112 = drug hosp drug*hosp/ expb tech=newton   ;
	run ;

proc logistic data=clinical  ;
    class  drug hosp / param=reference ref=first ;
	model  y123 = drug hosp drug*hosp/ expb tech=newton   ;
	run ;


title2 '<<< ܕʂ̊҂̔wiq̕z >>>' ;
proc tabulate data=clinical noseps format=10. ;
    class  drug hosp sex age3 severity c_drug  y123 y122 y112 ;
	table  all hosp sex age3 severity c_drug, drug  all / rts=15 ;
	run ;

proc freq data=clinical ;
    table  hosp*drug / nopercent nocol norow chisq ;
    table  sex *drug / nopercent nocol norow chisq ;
    table  age3*drug / nopercent nocol norow chisq ;
    table  severity*drug / nopercent nocol norow chisq ;
    table  c_drug  *drug / nopercent nocol norow chisq ;
	run ;


title2 '<<< dǓxʁEÖ@ʂ̔ >>>' ;
proc tabulate data=clinical noseps format=6. ;
    class  drug hosp sex age3 severity c_drug  y123 y122 y112 ;
	table  severity, drug*(y123 all) / rts=15 ;
	run ;

proc freq data=clinical ;
    table severity*drug*y123 / nopercent nocol norow cmh score=table ;
    table severity*drug*y122 / nopercent nocol norow cmh score=table ;
    table severity*drug*y112 / nopercent nocol norow cmh score=table ;
	run ;


title2 '<<< ǂoςꍇ̕ϐ@ >>>' ;
proc logistic data=clinical  ;
    class drug hosp sex age3 severity c_drug / param=reference ref=first  ;
	model y123 =  drug | hosp | age3 | sex | severity |c_drug @2 
                / expb tech=newton   ;
	run ;

proc logistic data=clinical  ;
    class drug hosp sex age3 severity c_drug / param=reference ref=first  ;
	model y123 =  drug | hosp | age3 | sex | severity |c_drug @2 
                / expb tech=newton  selection=backward slstay=0.20 ;
	run ;

proc logistic data=clinical  ;
    class drug hosp sex age3 severity c_drug / param=reference ref=first  ;
	model y123 =  drug | hosp | age3 | sex | severity |c_drug @2 
                / expb tech=newton  selection=backward slstay=0.15 ;
	run ;

proc logistic data=clinical  ;
    class drug hosp sex age3 severity c_drug / param=reference ref=first  ;
	model y123 =  drug | hosp | age3 | sex | severity |c_drug @2 
                / expb tech=newton  selection=backward slstay=0.05 ;
	run ;
	
